# $Revision: 1.3.2.2 $, $Date: 2003/04/28 12:51:50 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define	pdir	File
%define	pnam	Data
Summary:	File::Data - interface to file data
Summary(pl):	File::Data - interfejs do danych w pliku
Name:		perl-File-Data
Version:	1.12
Release:	2
License:	?
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File::Data wraps all the accessing of a file into a convenient set of
calls for reading and writing data, including a simple regex interface.

The idea is to standardise accessing of files for repetitive and straight
forward tasks, and remove the repeated and therefore error prone file
access I have seen in many sites, where varying, (with equivalently
varying success), methods are used to achieve essentially the same result
- a simple search and replace and/or a regex match.

%description -l pl
File::Data owija dostp do pliku w wygodny zbir metod do czytania i
zapisywania danych, wczajc w to prosty interfejs wyrae regularnych.

Pomys polega na standaryzacji dostpu do plikw w przypadku powtarzalnych
i prostych zada, oraz usuniciu powtarzajcych si, czyli skonnych
do bdw dostpw do plikw spotykanych w wielu miejscach, gdzie
rne metody (z rnym skutkiem) uywane s do osignicia w zasadzie
tego samego rezultatu -- prostego wyszukiwania i zastpowania i/lub
dopasowania wzorca.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-File-Data.spec,v $
Revision 1.3.2.2  2003/04/28 12:51:50  ankry
- really rel++

Revision 1.3.2.1  2003/03/13 00:57:13  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.3  2003/02/25 00:38:35  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:32:11  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/08/29 11:06:43  radek
- new, STBR

